Subject: [PATCH 00/75] l2c series

From: [email-masked] (Russell King - ARM Linux)
Date: Mon, 7 Apr 2014 16:58:09 +0100

On Mon, Apr 07, 2014 at 03:52:08PM +0000, Punnaiah Choudary Kalluri wrote:
> It means there are two drivers, one for l2 cache edac and one for l2
> cache configuration and management in a single file. Please correct me
> if I am wrong.

Correct - just because you have one piece of hardware which needs to
register with two subsystems isn't always a reason to create two
separate drivers, and then have to deal with the problem of two
separate drivers needing access to the same registers, possibly with
register access synchronisation issues.

-- 
FTTC broadband for 0.8mile line: now at 9.7Mbps down 460kbps up... slowly
improving, and getting towards what was expected from it.